package me.map.example;

import jdk.incubator.vector.VectorOperators;
import me.map.example.command.TestCommand;
import me.map.example.listener.Luisteraar;
import me.map.example.placeholder.OwnPlaceHolder;
import me.map.ultimatekingdom.API.UltimateKingdom;

import me.map.ultimatekingdom.API.objects.Kingdom;
import me.map.ultimatekingdom.API.objects.KingdomPlayer;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;

import org.bukkit.plugin.java.JavaPlugin;

import java.util.UUID;

public class Example extends JavaPlugin  {


    public void onDisable() {
        HandlerList.unregisterAll(this);
    }

    @Override
    public void onEnable() {
        Bukkit.getServer().getPluginManager().registerEvents(new Luisteraar() ,this);

        //fake player !!!
        Player player = Bukkit.getServer().getPlayer(UUID.randomUUID());

        //kingdomplayer object
        KingdomPlayer kingdomPlayer = UltimateKingdom.Players().getPlayer(player);

        //kingdom object
        Kingdom kingdom = kingdomPlayer.getKingdom();

        //toevoegen nieuwe commando
        new TestCommand();  // of als er geen register() in commando is -> new TestCommand().register();

        //vertaling toevoegen
        UltimateKingdom.getKingdomServer().Messages().addTranslations("test_command" ,"^&adit is kingdom: &f{0} &aen player ^&f{1}");

        //vertaling ophalen/gebruiken
        String string = UltimateKingdom.translate("test_command",kingdom.getDisplayName(),kingdomPlayer.getName());

        //register placeholder zodat deze door de hele plugin gebruikt kan worden.
        UltimateKingdom.getKingdomServer().PlaceHolders().PlayerPlaceHolders().register(new OwnPlaceHolder());


    }
}


